description

# Worker class Null safety

Inheritance
  - Object
  - EventTarget
  - Worker
Implemented types
  - AbstractWorker
Annotations
  - @SupportedBrowser(SupportedBrowser.CHROME)
  - @SupportedBrowser(SupportedBrowser.FIREFOX)
  - @SupportedBrowser(SupportedBrowser.IE, '10')
  - @SupportedBrowser(SupportedBrowser.SAFARI)
  - @Native("Worker")

## Constructors

Worker(String scriptUrl)
  factory

## Properties

hashCode → int
  The hash code for this object. [...]
  read-only, inherited
on → Events
  This is an ease-of-use accessor for event streams which should only be used when an explicit accessor is not available.
  read-only, inherited
onError → Stream<Event>
  Stream of `error` events handled by this Worker.
  read-only, override
onMessage → Stream<MessageEvent>
  Stream of `message` events handled by this Worker.
  read-only
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

addEventListener(String type, EventListener? listener, [bool? useCapture]) → void
  inherited
dispatchEvent(Event event) → bool
  inherited
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
postMessage(dynamic message, [List<Object>? transfer]) → void
removeEventListener(String type, EventListener? listener, [bool? useCapture]) → void
  inherited
terminate() → void
toString() → String
  Returns a string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator. [...]
  inherited

## Static Properties

supported → bool
  Checks if this type is supported on the current platform.
  read-only

## Constants

errorEvent → const EventStreamProvider<Event>
  Static factory designed to expose `error` events to event handlers that are not necessarily instances of Worker. [...]
  `const EventStreamProvider<Event>('error')`
messageEvent → const EventStreamProvider<MessageEvent>
  Static factory designed to expose `message` events to event handlers that are not necessarily instances of Worker. [...]
  `const EventStreamProvider<MessageEvent>('message')`